---
updatedAt: 2025-06-09T21:34:42.000Z
agentTools:
  projectIndex: https://api-docs.planomatic.com/llms.txt
---

# Validation Errors

If any part of an order request doesn't pass validation the order will not be created and a 400 code error response will be returned. In addition, a list of validation errors will be included in the body. Each error list item includes two properties: an attribute and message. The attribute specifies which part of the order request body did not pass validation, and the message indicates what was wrong with the specified attribute that caused the order request to fail validation.

```json Validation Error Response Example
{
  "code": 400,
  "status": "validation-error",
  "errors": [
    {
      "attr": "external_property_id",
      "message": "missing"
    },
    {
      "attr": "billing_entity_slug",
      "message": "unrecognized"
    }
  ]
}
```

## Validation Error Definitions

| Attribute                               | Message      | Description                                                                                                                                                                                                                                                         |
| :-------------------------------------- | :----------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| api\_key                                | missing      | An api\_key was not defined.                                                                                                                                                                                                                                        |
| api\_key                                | unauthorized | Not an authorized api\_key. Must be a valid api\_key.                                                                                                                                                                                                               |
| external\_property\_id                  | missing      | An external\_property\_id was not defined.                                                                                                                                                                                                                          |
| external\_property\_id                  | empty        | The external\_property\_id was set to an empty string. Cannot be an empty string.                                                                                                                                                                                   |
| billing\_entity\_slug                   | missing      | A billing\_entity\_slug was not defined.                                                                                                                                                                                                                            |
| billing\_entity\_slug                   | unauthorized | Not an authorized billing\_entity\_slug. Must be a valid billing\_entity\_slug that is associated with the api\_key.                                                                                                                                                |
| property\{}                             | missing      | A property object was not defined.                                                                                                                                                                                                                                  |
| property.location\{}                    | missing      | A property.location object was not defined.                                                                                                                                                                                                                         |
| property.location.street                | missing      | A property.location.street was not defined.                                                                                                                                                                                                                         |
| property.location.street                | empty        | The property.location.street was set to an empty. Cannot be an empty string.                                                                                                                                                                                        |
| property.location.city                  | missing      | A property.location.city was not defined.                                                                                                                                                                                                                           |
| property.location.city                  | empty        | The property.location.city was set to an empty string. Cannot be an empty string.                                                                                                                                                                                   |
| property.location.state                 | missing      | A property.location.state was not defined.                                                                                                                                                                                                                          |
| property.location.state                 | unrecognized | Not a valid property.location.state. Must be a valid two-letter US state abbreviation.                                                                                                                                                                              |
| property.location.postal\_code          | missing      | A property.location.postal\_code was not defined.                                                                                                                                                                                                                   |
| property.location.postal\_code          | unrecognized | Not a valid property.location.postal\_code. Must be a valid five-digit US zip code.                                                                                                                                                                                 |
| property.property\_type                 | missing      | A property.property\_type was not defined.                                                                                                                                                                                                                          |
| property.property\_type                 | unrecognized | Not a valid property.property\_type. Must be a valid property type supported by PlanOmatic.                                                                                                                                                                         |
| services\[]                             | missing      | A services\[] array was not defined.                                                                                                                                                                                                                                |
| services\[]                             | empty        | The services\[] array was set to an empty array. A minimum of one service list item is required.                                                                                                                                                                    |
| services\[].slug                        | missing      | A services\[].slug was not defined for at least one service list item.                                                                                                                                                                                              |
| services\[].slug                        | unrecognized | At least one service list item has an invalid services\[].slug. Must be a valid slug corresponding to a service provided by PlanOmatic.                                                                                                                             |
| services\[].slug                        | duplicate    | Two or more service list items have the same services\[].slug. Duplicate services are not accepted.                                                                                                                                                                 |
| services\[].slug                        | invalid      | Incompatible services ordered together. Certain services cannot be ordered together. Contact your CSM for more info.                                                                                                                                                |
| services\[].quantity                    | missing      | A services\[].slug was not defined for at least one service list item.                                                                                                                                                                                              |
| services\[].quantity                    | invalid      | At least one service list item has an invalid services\[].quantity. Must be a valid quantity corresponding to the service\_slug.                                                                                                                                    |
| property\_access\{}                     | missing      | A property\_access\{} was not defined.                                                                                                                                                                                                                              |
| property\_access.vacant                 | missing      | A property\_access.vacant was not defined.                                                                                                                                                                                                                          |
| property\_access.vacant                 | unrecognized | The property\_access.vacant was not a boolean value (true or false).                                                                                                                                                                                                |
| property\_access.method\_of\_access     | missing      | A property\_access.method\_of\_access was not defined.                                                                                                                                                                                                              |
| property\_access.method\_of\_access     | unrecognized | Not a valid property\_access.method\_of\_access. Must be a valid method of access supported by PlanOmatic.                                                                                                                                                          |
| property\_access.access\_code           | missing      | The property\_access.method\_of\_access was set to "lockbox\_code" or "keypad" and a property\_access.access\_code was not defined. A property\_access.access\_code is required when the property\_access.method\_of\_access is set to "lockbox\_code" or "keypad"  |
| property\_access.access\_code           | empty        | The property\_access.method\_of\_access was set to "lockbox\_code" or "keypad" and the property\_access.access\_code was set to an empty string. Cannot be an empty string when the property\_access.method\_of\_access is set to "lockbox\_code" or "keypad".      |
| property\_access.lockbox\_location      | missing      | The property\_access.method\_of\_access was set to "lockbox\_code" or "keypad" and a property\_access.lockbox\_location was not defined. Required when the property\_access.method\_of\_access is set to "lockbox\_code" or "keypad"                                |
| property\_access.lockbox\_location      | empty        | The property\_access.method\_of\_access was set to "lockbox\_code" or "keypad" and the property\_access.lockbox\_location was set to an empty string. Cannot be an empty string when the property\_access.method\_of\_access is set to "lockbox\_code" or "keypad". |
| property\_access.preferred\_date        | unrecognized | The property\_access.preferred\_date was not formatted properly. Must be YYYY-MM-DD.                                                                                                                                                                                |
| property\_access.preferred\_date        | invalid      | The property\_access.preferred\_date was too soon. Must be at least one day in the future.                                                                                                                                                                          |
| property\_access.onsite\_contact\_name  | missing      | A property\_access.onsite\_contact\_name was not defined.                                                                                                                                                                                                           |
| property\_access.onsite\_contact\_name  | empty        | The property\_access.onsite\_contact\_name was set to an empty string. Cannot be an empty string.                                                                                                                                                                   |
| property\_access.onsite\_contact\_phone | missing      | A property\_access.onsite\_contact\_phone was not defined.                                                                                                                                                                                                          |
| property\_access.onsite\_contact\_phone | invalid      | The property\_access.onsite\_contact\_phone was not a valid phone number. Must be a valid US phone number with 10-11 digits.                                                                                                                                        |